# -*- encoding: utf-8 -*-
# stub: service_image_builder 0.1.4 ruby lib

Gem::Specification.new do |s|
  s.name = "service_image_builder".freeze
  s.version = "0.1.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "changelog_uri" => "https://gitlab.com/slush-systems/service_image_builder/commits/master", "homepage_uri" => "https://slush.systems/", "source_code_uri" => "https://gitlab.com/slush-systems/service_image_builder" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Eric Jacobs".freeze]
  s.date = "2021-05-13"
  s.description = "This is a Slush Systems tool for building service images. Slush Systems\ncreates continuously updated and deployed infrastructure and tooling\ncontainer images. This tool creates, tags, and pushes those images the\nregistry.".freeze
  s.email = ["eric@slush.systems".freeze]
  s.executables = ["sib".freeze]
  s.files = ["bin/sib".freeze]
  s.homepage = "https://slush.systems/".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "A tool for building and deploying Slush Systems Service Images".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<activesupport>.freeze, ["~> 6.1"])
    s.add_runtime_dependency(%q<awesome_print>.freeze, ["~> 1.9"])
    s.add_runtime_dependency(%q<docker-api>.freeze, ["~> 2.1"])
    s.add_runtime_dependency(%q<logger>.freeze, ["~> 1.4", ">= 1.4.2"])
    s.add_runtime_dependency(%q<oj>.freeze, ["~> 3.11"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2"])
    s.add_development_dependency(%q<pry-byebug>.freeze, ["~> 3.9"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.10"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 1.13"])
  else
    s.add_dependency(%q<activesupport>.freeze, ["~> 6.1"])
    s.add_dependency(%q<awesome_print>.freeze, ["~> 1.9"])
    s.add_dependency(%q<docker-api>.freeze, ["~> 2.1"])
    s.add_dependency(%q<logger>.freeze, ["~> 1.4", ">= 1.4.2"])
    s.add_dependency(%q<oj>.freeze, ["~> 3.11"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2"])
    s.add_dependency(%q<pry-byebug>.freeze, ["~> 3.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.10"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 1.13"])
  end
end
